Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.transcoder
Class TranscoderException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.batik.transcoder.TranscoderException

All Implemented Interfaces:
  Serializable

    public class TranscoderException

extends Exception

Thrown when a transcoder is not able to transcode its input.

See Also:
  Serialized Form

Field Summary
`protected Exception` | `ex` The enclosed exception.

Constructor Summary
`TranscoderException(Exception ex)` Constructs a new transcoder exception with the specified detail message.
`TranscoderException(String s)` Constructs a new transcoder exception with the specified detail message.
`TranscoderException(String s, Exception ex)` Constructs a new transcoder exception with the specified detail message.

Method Summary
`Exception` | `getException()` Returns the original enclosed exception or null if any.
`String` | `getMessage()` Returns the message of this exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ex

    protected Exception ex

  The enclosed exception.

Constructor Detail

### TranscoderException

    public TranscoderException(String s)

  Constructs a new transcoder exception with the specified detail message.

  Parameters:
    `s` - the detail message of this exception

### TranscoderException

    public TranscoderException(Exception ex)

  Constructs a new transcoder exception with the specified detail message.

  Parameters:
    `ex` - the enclosed exception

### TranscoderException

    public TranscoderException(String s,
                               Exception ex)

  Constructs a new transcoder exception with the specified detail message.

  Parameters:
    `s` - the detail message of this exception
    `ex` - the original exception

Method Detail

### getMessage

    public String getMessage()

  Returns the message of this exception. If an error message has been specified, returns that one. Otherwise, return the error message of enclosed exception or null if any.

  Overrides:
    `getMessage` in class `Throwable`

### getException

    public Exception getException()

  Returns the original enclosed exception or null if any.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.